Bug 1133070 - Need to include full implementation of tomcat-juli.jar and tomcat-juli-adapters.jar
Summary: Need to include full implementation of tomcat-juli.jar and tomcat-juli-adapte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tomcat
Version: 7.0
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Coty Sutherland
QA Contact: fgoldefu
Lucie Maňásková
URL:
Whiteboard:
Depends On: 1171292
Blocks: 1203710 1298191 1313485
TreeView+ depends on / blocked
 
Reported: 2014-08-22 15:33 UTC by Zordrak
Modified: 2019-08-15 03:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Necessary classes added to allow *log4j* as Tomcat logging mechanism Due to missing `tomcat-juli.jar` and `tomcat-juli-adapters.jar` files, the *log4j* utility could not be used as Tomcat logging mechanism. The necessary classes have been added and *log4j* can now be used for logging. Also, the *symlinks* utility has to be installed or updated to point in extras folder with the described .jar files.
Clone Of:
Environment:
Last Closed: 2016-11-03 21:08:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2599 normal SHIPPED_LIVE Moderate: tomcat security, bug fix, and enhancement update 2016-11-03 12:12:12 UTC
Red Hat Bugzilla 910479 None CLOSED Need to include full implementation of tomcat-juli.jar and tomcat-juli-adapters.jar 2019-09-03 19:38:57 UTC
Red Hat Bugzilla 977685 None CLOSED Need to include full implementation of tomcat-juli.jar and tomcat-juli-adapters.jar 2019-09-03 19:38:57 UTC

Description Zordrak 2014-08-22 15:33:39 UTC
Ref: Bug #977685 (https://bugzilla.redhat.com/show_bug.cgi?id=977685)
Ref: Bug #910479 (https://bugzilla.redhat.com/show_bug.cgi?id=910479)

tomcat-7.0.42-8.el7_0

Tomcat 7 in RHEL7 also needs to include the full tomcat-juli.jar and tomcat-juli-apapters.jar - as provided in RHEL6's tomcat6 package in /usr/share/java/tomcat6/extras - in order to permit the use of log4j logging for tomcat.

Comment 10 errata-xmlrpc 2016-11-03 21:08:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2599.html


Note You need to log in before you can comment on or make changes to this bug.